from tkinter import *

def deleteCustomer():

    def quit():
        delete.destroy()


    def deleteSelection():  #delete items from the list
        items = lists.curselection()
        pos=0
        for i in items:
            index = int(i) - pos
            lists.delete(index,index)
            pos+= 1


    customers=['John Fisher','Sally Norbert', 'Kieran Goodmann',
                   'Greg Yates','Crystal Joy','Nancy Roberts',
                  'Ralf Madbag','Beth Davis','Alisha Brooke']      

    delete=Tk()
    delete.title('Omoronz Online Organisation : Delete A Customer')
    delete.geometry("400x400")

    mainFrame=Frame(delete)

    titleFrame = Frame(mainFrame)
    delfont=('arial', 20, 'bold')
    dl = Label(titleFrame, text='A delete customer', font=delfont)
    dl.config(height=2, width=20)
    dl.pack(side=TOP, fill=BOTH)
    titleFrame.pack(side=TOP, anchor=NW)

    ## make listbox with slider
    slider = Frame(mainFrame, relief=RAISED, borderwidth=2)
    scroll = Scrollbar(slider)
    lists  = Listbox(slider, width=30, height=20)
    scroll.pack(side=RIGHT, fill=Y)
    lists.pack(side=LEFT, fill=Y)
    scroll.config(command=lists.yview)
    lists.config(yscrollcommand=scroll.set)
    slider.pack(side=LEFT, fill=Y)

    lists.delete(0, END) #stop list from duplicating itself
    for item in customers: #read throug list of characters
        lists.insert(END, item) #display it in the listbox
 
    bottomFrame = Frame(mainFrame)
    d = PhotoImage(file='delete.gif', master=delete) 
    q = PhotoImage(file='quit.gif', master=delete)
    deleteBTN = Button(mainFrame, image=d, command=deletesSelection).pack(side=BOTTOM)
    quitBTN   = Button(mainFrame, image=q, command=quits).pack(side=BOTTOM)
    bottomFrame.pack(fill=Y, side=BOTTOM)

    mainFrame.pack(side=TOP)
    delete.mainloop()
